summaryrefslogtreecommitdiff
path: root/jenkins
diff options
context:
space:
mode:
authorTCWG BuildSlave <tcwg-buildslave@linaro.org>2023-12-16 22:17:54 +0000
committerTCWG BuildSlave <tcwg-buildslave@linaro.org>2023-12-16 22:17:54 +0000
commitffa58728f77167cb5ae62db6c40415c2e752a418 (patch)
tree3c06f31641c23b6ac8ec8f5976c24f8286eca23e /jenkins
parent2ed2fec6351103db51f24d0872dadc615c2b0b42 (diff)
onsuccess: #758: 0: [TCWG CI] https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/758/
Results : | # reset_artifacts: | -10 | # init_abe_sysroot: | -3 | # build_abe glibc -- --disable install: | -2 | # build_abe dejagnu: | -1 | # build_abe check_glibc -- --disable install: | 0 check_regression status : 0
Diffstat (limited to 'jenkins')
-rw-r--r--jenkins/build-name2
-rw-r--r--jenkins/notify-full.log401
-rw-r--r--jenkins/notify-init.log101
-rw-r--r--jenkins/run-build.env6
4 files changed, 381 insertions, 129 deletions
diff --git a/jenkins/build-name b/jenkins/build-name
index 34d9043..acec0ae 100644
--- a/jenkins/build-name
+++ b/jenkins/build-name
@@ -1 +1 @@
-#757-glibc-R0
+#758-glibc-R0
diff --git a/jenkins/notify-full.log b/jenkins/notify-full.log
index 77547b6..2032d7d 100644
--- a/jenkins/notify-full.log
+++ b/jenkins/notify-full.log
@@ -1,6 +1,6 @@
+ set +x
-/home/tcwg-buildslave/workspace/tcwg_gnu_3/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts __TCWG_JIRA_TOKEN ATATT3xFfGF0T6lmyRRI1GPXAjFc6UC66WsAJyuXpga-0JusQbYQdlG4NfS8kED4ejPRlZs9E57FWxFlN7K67E-9t-EXcNqVpzVQwTRd2JDDboAUNRnk00rMY9KXELe8Jb9dKP7p3MTXz2HTqtpMKIM2VZQUmZf_TcIuAN0mVpSPtZtdoLZBnCk=34F9AA87 __stage full __verbose true __build_script tcwg_gnu-build.sh
+/home/tcwg-buildslave/workspace/tcwg_gnu_0/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts __TCWG_JIRA_TOKEN ATATT3xFfGF0T6lmyRRI1GPXAjFc6UC66WsAJyuXpga-0JusQbYQdlG4NfS8kED4ejPRlZs9E57FWxFlN7K67E-9t-EXcNqVpzVQwTRd2JDDboAUNRnk00rMY9KXELe8Jb9dKP7p3MTXz2HTqtpMKIM2VZQUmZf_TcIuAN0mVpSPtZtdoLZBnCk=34F9AA87 __stage full __verbose true __build_script tcwg_gnu-build.sh
+ false
+ dryrun=
@@ -9,8 +9,8 @@
+ declare -a changed_components
+ declare print_commits_f print_result_f print_config_f print_last_icommit_f
+ dump_model_only=false
-+ setup_notify_environment
# setup_notify_environment
++ setup_notify_environment
+ echo '# setup_notify_environment'
+ top_artifacts=artifacts
++ get_current_manifest '{rr[ci_project]}'
@@ -20,33 +20,33 @@
++ get_current_manifest '{rr[ci_config]}'
++ get_manifest artifacts/manifest.sh '{rr[ci_config]}'
++ set +x
+# Debug traces :
+ ci_config=master-arm
+ echo '# Debug traces :'
-# Debug traces :
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/756/
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/756/'
+# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/757/
# Using dir : base-artifacts
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/757/'
+ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/757/
+# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/758/
# Using dir : artifacts
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/757/'
-+ echo '# Using dir : artifacts'
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/758/'
++ echo '# Using dir : artifacts'
+ echo ''
+ mkdir -p artifacts/notify
+ '[' -f /home/tcwg-buildslave/.jipdate.yml ']'
+ set +x
+# check_source_changes
+ case "$notify" in
+ declare -Ag pw
+ '[' ignore = precommit ']'
+ check_source_changes
-# check_source_changes
+ echo '# check_source_changes'
++ get_current_manifest '{rr[update_baseline]}'
++ get_manifest artifacts/manifest.sh '{rr[update_baseline]}'
@@ -77,17 +77,78 @@
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
-++ '[' x93a739d4a1c34c9dbb96ced4fbeaa18e02000b6a '!=' x93a739d4a1c34c9dbb96ced4fbeaa18e02000b6a ']'
+++ '[' x49b4de21dcdf364e0dcc57382a8dfa339b59accc '!=' x93a739d4a1c34c9dbb96ced4fbeaa18e02000b6a ']'
+++ echo -ne glibc
+++ delim=' '
++ echo
+ local c base_rev cur_rev c_commits
-+ '[' 0 = 0 ']'
-+ change_kind=no_change
++ '[' 1 = 0 ']'
++ '[' 1 = 1 ']'
++ changed_single_component=glibc
+++ get_current_git glibc_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/glibc_rev
++ first_bad=49b4de21dcdf364e0dcc57382a8dfa339b59accc
+++ get_baseline_git glibc_rev
+++ set -euf -o pipefail
+++ local base_artifacts=base-artifacts
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
++ last_good=93a739d4a1c34c9dbb96ced4fbeaa18e02000b6a
++ local res
++ res=0
++ wait 1180293
++ git -C glibc rev-parse --verify HEAD
++ assert_with_msg 'Cannot parse HEAD in repo glibc' '[' 0 = 0 ']'
++ set -euf -o pipefail +x
++ single_commit_p glibc
++ set -euf -o pipefail
++ local c=glibc
++ local base_rev cur_rev sha1
+++ get_baseline_git glibc_rev
+++ set -euf -o pipefail
+++ local base_artifacts=base-artifacts
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
++ base_rev=93a739d4a1c34c9dbb96ced4fbeaa18e02000b6a
+++ get_current_git glibc_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/glibc_rev
++ cur_rev=49b4de21dcdf364e0dcc57382a8dfa339b59accc
+++ git -C glibc rev-parse '49b4de21dcdf364e0dcc57382a8dfa339b59accc^@'
# Debug traces :
-# change_kind=no_change :
-
-+ changed_single_component=
++ for sha1 in $(git -C "$c" rev-parse "$cur_rev^@")
++ '[' 08bc191fd1603c41f5ddc97ead716e952a556dfd = 93a739d4a1c34c9dbb96ced4fbeaa18e02000b6a ']'
++ return 1
++ change_kind=single_component
+ echo '# Debug traces :'
-+ echo '# change_kind=no_change : '
+# change_kind=single_component : glibc
++ echo '# change_kind=single_component : glibc'
++ for c in "${changed_components[@]}"
+++ get_baseline_git glibc_rev
+++ set -euf -o pipefail
+++ local base_artifacts=base-artifacts
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
++ base_rev=93a739d4a1c34c9dbb96ced4fbeaa18e02000b6a
+++ get_current_git glibc_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/glibc_rev
++ cur_rev=49b4de21dcdf364e0dcc57382a8dfa339b59accc
+++ git -C glibc rev-list --count 93a739d4a1c34c9dbb96ced4fbeaa18e02000b6a..49b4de21dcdf364e0dcc57382a8dfa339b59accc
+# rev for glibc : 93a739d4a1c34c9dbb96ced4fbeaa18e02000b6a..49b4de21dcdf364e0dcc57382a8dfa339b59accc (2 commits)
+
++ c_commits=2
++ echo '# rev for glibc : 93a739d4a1c34c9dbb96ced4fbeaa18e02000b6a..49b4de21dcdf364e0dcc57382a8dfa339b59accc (2 commits)'
+ echo ''
+ setup_stages_to_run
+ '[' ignore = onregression ']'
@@ -111,29 +172,30 @@
+ generate_extra_details_f=gnu_generate_extra_details
+ print_config_f=gnu_print_config
+ post_interesting_commits init
-+ set -euf -o pipefail
# post_interesting_commits
++ set -euf -o pipefail
+ echo '# post_interesting_commits'
+ local stage=init
-+ '[' no_change '!=' single_commit ']'
++ '[' single_component '!=' single_commit ']'
+ return
+ '[' full '!=' full ']'
+ gnu_generate_extra_details
+ set -euf -o pipefail
+ '[' -d artifacts/sumfiles ']'
-+ wait 1185571
++ wait 1180317
+ gcc-compare-results/compare_tests -compr none -pass-thresh 0.9 base-artifacts/sumfiles artifacts/sumfiles
++ true
+ check_if_first_report
+ declare -g first_icommit_to_report
+ first_icommit_to_report=false
-+ '[' xno_change '!=' xsingle_commit ']'
++ '[' xsingle_component '!=' xsingle_commit ']'
+ return
+ post_interesting_commits full
-+ set -euf -o pipefail
# post_interesting_commits
++ set -euf -o pipefail
+ echo '# post_interesting_commits'
+ local stage=full
-+ '[' no_change '!=' single_commit ']'
++ '[' single_component '!=' single_commit ']'
+ return
+ true
+ generate_jira_dir
@@ -144,7 +206,7 @@
++ set -euf -o pipefail
++ local print_arg=--entry
++ shift 1
-++ '[' xno_change '!=' xsingle_commit ']'
+++ '[' xsingle_component '!=' xsingle_commit ']'
++ return 0
+ icommit_entry=
+ '[' '' '!=' '' ']'
@@ -162,10 +224,10 @@
++ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
++ local xfails=artifacts/sumfiles/xfails.xfail
++ '[' -f artifacts/sumfiles/xfails.xfail ']'
-++ wait 1185616
+++ wait 1180362
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231216 --build_dir=artifacts/sumfiles --verbosity=1
+++ wait 1180363
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231216 --build_dir=artifacts/sumfiles --verbosity=1
-++ wait 1185617
++ local n_regressions n_progressions pass_fail=PASS
++ '[' 0 '!=' 0 ']'
+++ grep -c '^[A-Z]\+:' artifacts/notify/regressions.sum
@@ -188,9 +250,9 @@
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
-++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/757/artifact/artifacts
+++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/758/artifact/artifacts
++ '[' '' '!=' '' ']'
-++ echo 'https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/757/artifact/artifacts/notify/mail-body.txt/*view*/'
+++ echo 'https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/758/artifact/artifacts/notify/mail-body.txt/*view*/'
# print all notification files
+ echo '# print all notification files'
+ true
@@ -198,16 +260,112 @@
+ set -euf -o pipefail
+ print_mail_recipients
+ set -euf -o pipefail
-+ local c=
++ local c=glibc
++ '[' glibc = '' ']'
++ local -A emails
++ emails["tcwg-validation@linaro.org"]=bcc
++ emails["author"]=cc
++ emails["committer"]=to
++ case "$ci_project/$ci_config:$c" in
++ emails["linaro-toolchain@lists.linaro.org"]=cc_postcommit
++ local c email base_rev cur_rev
+++ get_baseline_git glibc_rev
+++ set -euf -o pipefail
+++ local base_artifacts=base-artifacts
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
++ base_rev=93a739d4a1c34c9dbb96ced4fbeaa18e02000b6a
+++ get_current_git glibc_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/glibc_rev
++ cur_rev=49b4de21dcdf364e0dcc57382a8dfa339b59accc
++ read -r email
+++ git -C glibc log --pretty=%ae 93a739d4a1c34c9dbb96ced4fbeaa18e02000b6a..49b4de21dcdf364e0dcc57382a8dfa339b59accc
++ emails["$email"]=cc
++ read -r email
++ emails["$email"]=cc
++ read -r email
++ local precommit_postcommit=postcommit
+ '[' '' = '' ']'
-+ echo bcc:tcwg-validation@linaro.org
-+ return 0
+++ get_baseline_git glibc_rev
+++ set -euf -o pipefail
+++ local base_artifacts=base-artifacts
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
++ base_rev=93a739d4a1c34c9dbb96ced4fbeaa18e02000b6a
+++ get_current_git glibc_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/glibc_rev
++ cur_rev=49b4de21dcdf364e0dcc57382a8dfa339b59accc
++ read -r email
+++ git -C glibc log --pretty=%ce 93a739d4a1c34c9dbb96ced4fbeaa18e02000b6a..49b4de21dcdf364e0dcc57382a8dfa339b59accc
++ emails["$email"]=to
++ read -r email
++ emails["$email"]=to
++ read -r email
++ unset 'emails[author]' 'emails[committer]'
++ local type
++ recipients=()
++ local -a recipients
++ for email in "${!emails[@]}"
++ type=to
++ case "$precommit_postcommit:$type" in
++ case "$type" in
++ recipients+=("$email")
++ for email in "${!emails[@]}"
++ type=cc_postcommit
++ case "$precommit_postcommit:$type" in
++ type=cc
++ case "$type" in
++ recipients+=("$type:$email")
++ for email in "${!emails[@]}"
++ type=bcc
++ case "$precommit_postcommit:$type" in
++ case "$type" in
++ recipients+=("$type:$email")
++ IFS=,
++ echo hjl.tools@gmail.com,cc:linaro-toolchain@lists.linaro.org,bcc:tcwg-validation@linaro.org
++ print_commits --oneline
++ set -euf -o pipefail
++ false
++ local print_arg=--oneline
-++ '[' no_change = no_change ']'
-++ echo 'baseline build'
+++ '[' single_component = no_change ']'
+++ local more_lines
+++ '[' single_component = single_commit ']'
+++ '[' single_component = single_component ']'
+++ local new_commits c base_rev cur_rev c_commits components
+++ local commits_or_patches
+++ '[' '' '!=' '' ']'
+++ commits_or_patches=commits
+++ new_commits=0
+++ for c in "${changed_components[@]}"
++++ get_baseline_git glibc_rev
++++ set -euf -o pipefail
++++ local base_artifacts=base-artifacts
++++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++++ set -euf -o pipefail +x
++++ cat base-artifacts/git/glibc_rev
+++ base_rev=93a739d4a1c34c9dbb96ced4fbeaa18e02000b6a
++++ get_current_git glibc_rev
++++ set -euf -o pipefail
++++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++++ set -euf -o pipefail +x
++++ cat artifacts/git/glibc_rev
+++ cur_rev=49b4de21dcdf364e0dcc57382a8dfa339b59accc
++++ git -C glibc rev-list --count 93a739d4a1c34c9dbb96ced4fbeaa18e02000b6a..49b4de21dcdf364e0dcc57382a8dfa339b59accc
+++ c_commits=2
+++ new_commits=2
++++ tr ' ' ,
++++ echo glibc
+++ components=glibc
+++ echo '2 commits in glibc'
+++ '[' --oneline = --oneline ']'
++ return 0
++ gnu_print_result --oneline
++ false
@@ -216,10 +374,10 @@
++ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
++ local xfails=artifacts/sumfiles/xfails.xfail
++ '[' -f artifacts/sumfiles/xfails.xfail ']'
-++ wait 1185639
+++ wait 1180419
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231216 --build_dir=artifacts/sumfiles --verbosity=1
+++ wait 1180420
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231216 --build_dir=artifacts/sumfiles --verbosity=1
-++ wait 1185640
++ local n_regressions n_progressions pass_fail=PASS
++ '[' 0 '!=' 0 ']'
+++ grep -c '^[A-Z]\+:' artifacts/notify/regressions.sum
@@ -238,7 +396,7 @@
++ return 0
++ gnu_print_config --oneline
++ false
-++ . /home/tcwg-buildslave/workspace/tcwg_gnu_3/jenkins-scripts/tcwg_gnu-config.sh
+++ . /home/tcwg-buildslave/workspace/tcwg_gnu_0/jenkins-scripts/tcwg_gnu-config.sh
+++ declare -A gnu_data
++ settings_for_ci_project_and_config tcwg_glibc_check master-arm
++ local project=tcwg_glibc_check
@@ -261,25 +419,25 @@
++ case "$print_arg" in
++ case "$ci_config" in
++ echo arm
-+ echo '[Linaro-TCWG-CI]' 'baseline build: PASS on arm'
++ echo '[Linaro-TCWG-CI]' '2 commits in glibc: PASS on arm'
+ print_mail_body
+ local bad_artifacts_url good_artifacts_url
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ bad_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/757/artifact/artifacts
++ bad_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/758/artifact/artifacts
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-+ good_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/756/artifact/artifacts
++ good_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/757/artifact/artifacts
+ local key=
-+ '[' no_change = single_commit ']'
++ '[' single_component = single_commit ']'
+ cat
+ '[' '' '!=' '' ']'
+ cat
++ gnu_print_config --short
++ false
-++ . /home/tcwg-buildslave/workspace/tcwg_gnu_3/jenkins-scripts/tcwg_gnu-config.sh
+++ . /home/tcwg-buildslave/workspace/tcwg_gnu_0/jenkins-scripts/tcwg_gnu-config.sh
+++ declare -A gnu_data
++ settings_for_ci_project_and_config tcwg_glibc_check master-arm
++ local project=tcwg_glibc_check
@@ -298,12 +456,61 @@
++ case "$print_arg" in
++ echo 'glibc_check master-arm'
++ print_commits --short
-++ sed -e 's/^/ | /'
++ set -euf -o pipefail
++ false
++ local print_arg=--short
-++ '[' no_change = no_change ']'
-++ echo 'baseline build'
+++ '[' single_component = no_change ']'
+++ local more_lines
+++ '[' single_component = single_commit ']'
+++ '[' single_component = single_component ']'
+++ local new_commits c base_rev cur_rev c_commits components
+++ local commits_or_patches
+++ '[' '' '!=' '' ']'
+++ commits_or_patches=commits
+++ new_commits=0
+++ for c in "${changed_components[@]}"
+++ sed -e 's/^/ | /'
++++ get_baseline_git glibc_rev
++++ set -euf -o pipefail
++++ local base_artifacts=base-artifacts
++++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++++ set -euf -o pipefail +x
++++ cat base-artifacts/git/glibc_rev
+++ base_rev=93a739d4a1c34c9dbb96ced4fbeaa18e02000b6a
++++ get_current_git glibc_rev
++++ set -euf -o pipefail
++++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++++ set -euf -o pipefail +x
++++ cat artifacts/git/glibc_rev
+++ cur_rev=49b4de21dcdf364e0dcc57382a8dfa339b59accc
++++ git -C glibc rev-list --count 93a739d4a1c34c9dbb96ced4fbeaa18e02000b6a..49b4de21dcdf364e0dcc57382a8dfa339b59accc
+++ c_commits=2
+++ new_commits=2
++++ tr ' ' ,
++++ echo glibc
+++ components=glibc
+++ echo '2 commits in glibc'
+++ '[' --short = --oneline ']'
+++ for c in "${changed_components[@]}"
++++ get_baseline_git glibc_rev
++++ set -euf -o pipefail
++++ local base_artifacts=base-artifacts
++++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++++ set -euf -o pipefail +x
++++ cat base-artifacts/git/glibc_rev
+++ base_rev=93a739d4a1c34c9dbb96ced4fbeaa18e02000b6a
++++ get_current_git glibc_rev
++++ set -euf -o pipefail
++++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++++ set -euf -o pipefail +x
++++ cat artifacts/git/glibc_rev
+++ cur_rev=49b4de21dcdf364e0dcc57382a8dfa339b59accc
++++ git -C glibc rev-list --count 93a739d4a1c34c9dbb96ced4fbeaa18e02000b6a..49b4de21dcdf364e0dcc57382a8dfa339b59accc
+++ c_commits=2
+++ '[' '' '!=' '' ']'
+++ git -C glibc log -n 5 --oneline 93a739d4a1c34c9dbb96ced4fbeaa18e02000b6a..49b4de21dcdf364e0dcc57382a8dfa339b59accc
+++ '[' 2 -gt 5 ']'
+++ '[' '' '!=' '' ']'
++ return 0
++ gnu_print_result --short
++ false
@@ -312,10 +519,10 @@
++ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
++ local xfails=artifacts/sumfiles/xfails.xfail
++ '[' -f artifacts/sumfiles/xfails.xfail ']'
-++ wait 1185680
+++ wait 1180484
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231216 --build_dir=artifacts/sumfiles --verbosity=1
+++ wait 1180485
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231216 --build_dir=artifacts/sumfiles --verbosity=1
-++ wait 1185681
++ local n_regressions n_progressions pass_fail=PASS
++ '[' 0 '!=' 0 ']'
+++ grep -c '^[A-Z]\+:' artifacts/notify/regressions.sum
@@ -346,30 +553,30 @@
++++ get_current_manifest BUILD_URL
++++ get_manifest artifacts/manifest.sh BUILD_URL
++++ set +x
-+++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/757/artifact/artifacts
++++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/758/artifact/artifacts
+++ '[' '' '!=' '' ']'
-+++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/757/artifact/artifacts/00-sumfiles/
++++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/758/artifact/artifacts/00-sumfiles/
+++ print_artifacts_url notify/
+++ set -euf -o pipefail
+++ local url
++++ get_current_manifest BUILD_URL
++++ get_manifest artifacts/manifest.sh BUILD_URL
++++ set +x
-+++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/757/artifact/artifacts
++++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/758/artifact/artifacts
+++ '[' '' '!=' '' ']'
-+++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/757/artifact/artifacts/notify/
++++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/758/artifact/artifacts/notify/
+++ print_artifacts_url sumfiles/xfails.xfail
+++ set -euf -o pipefail
+++ local url
++++ get_current_manifest BUILD_URL
++++ get_manifest artifacts/manifest.sh BUILD_URL
++++ set +x
-+++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/757/artifact/artifacts
++++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/758/artifact/artifacts
+++ '[' '' '!=' '' ']'
-+++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/757/artifact/artifacts/sumfiles/xfails.xfail
++++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/758/artifact/artifacts/sumfiles/xfails.xfail
++ gnu_print_config --long
++ false
-++ . /home/tcwg-buildslave/workspace/tcwg_gnu_3/jenkins-scripts/tcwg_gnu-config.sh
+++ . /home/tcwg-buildslave/workspace/tcwg_gnu_0/jenkins-scripts/tcwg_gnu-config.sh
+++ declare -A gnu_data
++ settings_for_ci_project_and_config tcwg_glibc_check master-arm
++ local project=tcwg_glibc_check
@@ -387,18 +594,18 @@
++ local print_arg=--long
++ case "$print_arg" in
++ echo 'CI config tcwg_glibc_check master-arm'
-+ '[' no_change '!=' single_commit ']'
++ '[' single_component '!=' single_commit ']'
+ return
+ true
+ generate_jenkins_html_files
-+ wait 1185724
++ wait 1180528
+ set -euf -o pipefail
# generate_jenkins_html_files
-... Skipping
+ echo '# generate_jenkins_html_files'
+ true
+ case "$ci_project" in
+ echo '... Skipping'
+... Skipping
+ return
+ generate_readme html
+ set -euf -o pipefail
@@ -559,14 +766,6 @@
++ echo -n '<a href="./06-build_abe-check_glibc/flaky.xfail">./06-build_abe-check_glibc/flaky.xfail</a>'
+ echo '<li><a href="./06-build_abe-check_glibc/flaky.xfail">./06-build_abe-check_glibc/flaky.xfail</a>'
+ read -r cur_file
-++ print_readme_link html ./06-build_abe-check_glibc/make-glibc.log.xz
-++ set -euf -o pipefail
-++ local text_type=html
-++ local msg=./06-build_abe-check_glibc/make-glibc.log.xz
-++ case $text_type in
-++ echo -n '<a href="./06-build_abe-check_glibc/make-glibc.log.xz">./06-build_abe-check_glibc/make-glibc.log.xz</a>'
-+ echo '<li><a href="./06-build_abe-check_glibc/make-glibc.log.xz">./06-build_abe-check_glibc/make-glibc.log.xz</a>'
-+ read -r cur_file
++ print_readme_link html ./07-check_regression/baseline.xfail
++ set -euf -o pipefail
++ local text_type=html
@@ -790,8 +989,8 @@
+ cat
+ read -r cur_file
++ cd artifacts
-++ find . -type f
++ sort
+++ find . -type f
++ print_readme_link txt ./00-sumfiles/tests.log.xz
++ set -euf -o pipefail
++ local text_type=txt
@@ -888,14 +1087,6 @@
++ echo -n ./06-build_abe-check_glibc/flaky.xfail
+ echo '- ./06-build_abe-check_glibc/flaky.xfail'
+ read -r cur_file
-++ print_readme_link txt ./06-build_abe-check_glibc/make-glibc.log.xz
-++ set -euf -o pipefail
-++ local text_type=txt
-++ local msg=./06-build_abe-check_glibc/make-glibc.log.xz
-++ case $text_type in
-++ echo -n ./06-build_abe-check_glibc/make-glibc.log.xz
-+ echo '- ./06-build_abe-check_glibc/make-glibc.log.xz'
-+ read -r cur_file
++ print_readme_link txt ./07-check_regression/baseline.xfail
++ set -euf -o pipefail
++ local text_type=txt
@@ -1070,30 +1261,30 @@
+ local text_type=txt
+ case $text_type in
# generate dashboard
-+ echo '# generate dashboard'
# generate_dashboard_squad
+... Skipping
+# post_dashboard_squad
+... Skipping
++ echo '# generate dashboard'
+ generate_dashboard_squad
+ local results_date
+ echo '# generate_dashboard_squad'
+ false
-... Skipping
+ echo '... Skipping'
+ return
-# post_dashboard_squad
+ post_dashboard_squad
+ echo '# post_dashboard_squad'
-... Skipping
+ false
+ echo '... Skipping'
+ return
+ generate_lnt_report
-+ wait 1185906
++ wait 1180706
+# generate_lnt_report
+ set -euf -o pipefail
+ local results_date
+ echo '# generate_lnt_report'
-# generate_lnt_report
+ true
-+ . /home/tcwg-buildslave/workspace/tcwg_gnu_3/jenkins-scripts/lnt-utils.sh
++ . /home/tcwg-buildslave/workspace/tcwg_gnu_0/jenkins-scripts/lnt-utils.sh
+ calculate_results_date
+ set -euf -o pipefail
+ '[' -z ']'
@@ -1115,44 +1306,44 @@
++ assert_with_msg 'ERROR: No glibc in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
+++ cat artifacts/git/glibc_rev
-++ git -C glibc show --no-patch --pretty=%ct 93a739d4a1c34c9dbb96ced4fbeaa18e02000b6a
-+ cur_d=1702693214
+++ git -C glibc show --no-patch --pretty=%ct 49b4de21dcdf364e0dcc57382a8dfa339b59accc
++ cur_d=1702744748
+ '[' x1702693214 '!=' x ']'
-+ '[' x1702693214 = x ']'
-+ '[' 1702693214 -lt 1702693214 ']'
-+ '[' x1702693214 = x ']'
-+ '[' 1702693214 -gt 0 ']'
-+ results_date=1702693214
-+ assert_with_msg 'Failed to produce results_date' '[' 1702693214 -gt 0 ']'
++ '[' x1702744748 = x ']'
++ '[' 1702744748 -lt 1702693214 ']'
++ '[' x1702744748 = x ']'
++ '[' 1702744748 -gt 0 ']'
++ results_date=1702744748
++ assert_with_msg 'Failed to produce results_date' '[' 1702744748 -gt 0 ']'
+ set -euf -o pipefail +x
++ get_baseline_manifest '{rr[results_date]}'
++ get_manifest base-artifacts/manifest.sh '{rr[results_date]}' false
++ set +x
-+ base_d=1702627796
-+ '[' 1702627796 '!=' '' ']'
-+ assert '[' 1702693214 -ge 1702627796 ']'
++ base_d=1702660505
++ '[' 1702660505 '!=' '' ']'
++ assert '[' 1702744748 -ge 1702660505 ']'
+ set -euf -o pipefail +x
-+ '[' 1702693214 -gt 1702627796 ']'
-+ results_date=1702660505
-+ rr[results_date]=1702660505
++ '[' 1702744748 -gt 1702660505 ']'
++ results_date=1702702626
++ rr[results_date]=1702702626
+ cat
+ manifest_out
+ cat
++ get_current_manifest '{rr[results_date]}'
++ get_manifest artifacts/manifest.sh '{rr[results_date]}'
++ set +x
-+ results_date=1702660505
-++ date '+%Y-%m-%d %H:%M:%S' --date @1702660505
-+ results_date='2023-12-15 17:15:05'
++ results_date=1702702626
+++ date '+%Y-%m-%d %H:%M:%S' --date @1702702626
++ results_date='2023-12-16 04:57:06'
+ case "$ci_project" in
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ generate_lnt_gnu_check_report https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/757/ tcwg_glibc_check master-arm '2023-12-15 17:15:05' artifacts/sumfiles artifacts/notify/lnt_report.json
-+ local build_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/757/
++ generate_lnt_gnu_check_report https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/758/ tcwg_glibc_check master-arm '2023-12-16 04:57:06' artifacts/sumfiles artifacts/notify/lnt_report.json
++ local build_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/758/
+ local ci_project=tcwg_glibc_check
+ local ci_config=master-arm
-+ local 'results_date=2023-12-15 17:15:05'
++ local 'results_date=2023-12-16 04:57:06'
+ local sumfiles_dir=artifacts/sumfiles
+ local output_file=artifacts/notify/lnt_report.json
+ local -a sumfiles
@@ -1162,26 +1353,26 @@
+ local lnt_testsuite=tcwg_glibc_check
+ local machine_name=master-arm
+ local build_number
-++ basename https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/757/
-+ build_number=757
+++ basename https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/758/
++ build_number=758
+ set +x
+# release_testresults_files
+... Done
+# post_to_jira
+Full stage ran successfully.
+ false
+ true
+ release_testresults_files
-# release_testresults_files
+ echo '# release_testresults_files'
+ '[' -d artifacts/jenkins ']'
+ '[' -f artifacts/testresults/testresults-mail-recipients.txt ']'
+ echo '... Done'
-... Done
+ post_to_jira
+ set -euf -o pipefail
-# post_to_jira
+ echo '# post_to_jira'
+ local post_card_comment=false
+ local post_template_comment=false
+ false
+ false
+ false
-Full stage ran successfully.
+ echo 'Full stage ran successfully.'
diff --git a/jenkins/notify-init.log b/jenkins/notify-init.log
index 5308fc9..71508bc 100644
--- a/jenkins/notify-init.log
+++ b/jenkins/notify-init.log
@@ -1,7 +1,8 @@
+ set +x
-/home/tcwg-buildslave/workspace/tcwg_gnu_3/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh
+/home/tcwg-buildslave/workspace/tcwg_gnu_0/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh
+# setup_notify_environment
+ false
+ dryrun=
+ declare top_artifacts ci_project ci_config
@@ -10,7 +11,6 @@
+ declare print_commits_f print_result_f print_config_f print_last_icommit_f
+ dump_model_only=false
+ setup_notify_environment
-# setup_notify_environment
+ echo '# setup_notify_environment'
+ top_artifacts=artifacts
++ get_current_manifest '{rr[ci_project]}'
@@ -20,33 +20,33 @@
++ get_current_manifest '{rr[ci_config]}'
++ get_manifest artifacts/manifest.sh '{rr[ci_config]}'
++ set +x
+# Debug traces :
+ ci_config=master-arm
+ echo '# Debug traces :'
-# Debug traces :
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/756/
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/756/'
-+ echo '# Using dir : base-artifacts'
+# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/757/
# Using dir : base-artifacts
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/757/'
++ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/757/
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/757/'
-+ echo '# Using dir : artifacts'
+# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/758/
# Using dir : artifacts
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/758/'
++ echo '# Using dir : artifacts'
+ echo ''
+ mkdir -p artifacts/notify
+ '[' -f /home/tcwg-buildslave/.jipdate.yml ']'
+# check_source_changes
+ set +x
+ case "$notify" in
+ declare -Ag pw
+ '[' ignore = precommit ']'
+ check_source_changes
-# check_source_changes
+ echo '# check_source_changes'
++ get_current_manifest '{rr[update_baseline]}'
++ get_manifest artifacts/manifest.sh '{rr[update_baseline]}'
@@ -77,17 +77,78 @@
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
-++ '[' x93a739d4a1c34c9dbb96ced4fbeaa18e02000b6a '!=' x93a739d4a1c34c9dbb96ced4fbeaa18e02000b6a ']'
+++ '[' x49b4de21dcdf364e0dcc57382a8dfa339b59accc '!=' x93a739d4a1c34c9dbb96ced4fbeaa18e02000b6a ']'
+++ echo -ne glibc
+++ delim=' '
++ echo
+ local c base_rev cur_rev c_commits
-+ '[' 0 = 0 ']'
-+ change_kind=no_change
++ '[' 1 = 0 ']'
++ '[' 1 = 1 ']'
++ changed_single_component=glibc
+++ get_current_git glibc_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/glibc_rev
++ first_bad=49b4de21dcdf364e0dcc57382a8dfa339b59accc
+++ get_baseline_git glibc_rev
+++ set -euf -o pipefail
+++ local base_artifacts=base-artifacts
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
++ last_good=93a739d4a1c34c9dbb96ced4fbeaa18e02000b6a
++ local res
++ res=0
++ wait 1180180
++ git -C glibc rev-parse --verify HEAD
++ assert_with_msg 'Cannot parse HEAD in repo glibc' '[' 0 = 0 ']'
++ set -euf -o pipefail +x
++ single_commit_p glibc
++ set -euf -o pipefail
++ local c=glibc
++ local base_rev cur_rev sha1
+++ get_baseline_git glibc_rev
+++ set -euf -o pipefail
+++ local base_artifacts=base-artifacts
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
++ base_rev=93a739d4a1c34c9dbb96ced4fbeaa18e02000b6a
+++ get_current_git glibc_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/glibc_rev
++ cur_rev=49b4de21dcdf364e0dcc57382a8dfa339b59accc
+++ git -C glibc rev-parse '49b4de21dcdf364e0dcc57382a8dfa339b59accc^@'
++ for sha1 in $(git -C "$c" rev-parse "$cur_rev^@")
++ '[' 08bc191fd1603c41f5ddc97ead716e952a556dfd = 93a739d4a1c34c9dbb96ced4fbeaa18e02000b6a ']'
++ return 1
# Debug traces :
-# change_kind=no_change :
-
-+ changed_single_component=
+# change_kind=single_component : glibc
++ change_kind=single_component
+ echo '# Debug traces :'
-+ echo '# change_kind=no_change : '
++ echo '# change_kind=single_component : glibc'
++ for c in "${changed_components[@]}"
+++ get_baseline_git glibc_rev
+++ set -euf -o pipefail
+++ local base_artifacts=base-artifacts
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
++ base_rev=93a739d4a1c34c9dbb96ced4fbeaa18e02000b6a
+++ get_current_git glibc_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/glibc_rev
++ cur_rev=49b4de21dcdf364e0dcc57382a8dfa339b59accc
+++ git -C glibc rev-list --count 93a739d4a1c34c9dbb96ced4fbeaa18e02000b6a..49b4de21dcdf364e0dcc57382a8dfa339b59accc
+# rev for glibc : 93a739d4a1c34c9dbb96ced4fbeaa18e02000b6a..49b4de21dcdf364e0dcc57382a8dfa339b59accc (2 commits)
+
++ c_commits=2
++ echo '# rev for glibc : 93a739d4a1c34c9dbb96ced4fbeaa18e02000b6a..49b4de21dcdf364e0dcc57382a8dfa339b59accc (2 commits)'
+ echo ''
+ setup_stages_to_run
+ '[' ignore = onregression ']'
@@ -111,13 +172,13 @@
+ generate_extra_details_f=gnu_generate_extra_details
+ print_config_f=gnu_print_config
+ post_interesting_commits init
-+ set -euf -o pipefail
# post_interesting_commits
+Init stage ran successfully.
++ set -euf -o pipefail
+ echo '# post_interesting_commits'
+ local stage=init
-+ '[' no_change '!=' single_commit ']'
++ '[' single_component '!=' single_commit ']'
+ return
+ '[' init '!=' full ']'
+ echo 'Init stage ran successfully.'
-Init stage ran successfully.
+ exit 0
diff --git a/jenkins/run-build.env b/jenkins/run-build.env
index c86e38e..c2dee26 100644
--- a/jenkins/run-build.env
+++ b/jenkins/run-build.env
@@ -1,4 +1,4 @@
-build_name="#757"
+build_name="#758"
docker_opts=(--distro
default
--arch
@@ -9,7 +9,7 @@ tcwg-jade-05
--cap-add=SYS_ADMIN\ --security-opt\ apparmor=unconfined )
source build_container.sh
trap "cleanup_all_containers" EXIT
-build_name="#757-glibc"
+build_name="#758-glibc"
branch_opt=(==rr\[glibc_git\]
git://sourceware.org/git/glibc.git#master )
-build_name="#757-glibc-R0"
+build_name="#758-glibc-R0"